1

My phone shipped with an outdated version of TouchPal. When I try to update the app through the Play Store, I get this error:

Package file was not signed correctly. Uninstall the previous copy of the app and try again.

The thing is: the app is a system app, therefore I can't uninstall it.

How can I get the app up to date?

My old phone had it preinstalled as well, and the update there went on without problems. What?

  • If you want, root your phone and uninstall it that way (deleting the .apk in /system/app/ is enough). Then you can install it. Note: you lose all settings/application data of that app. – GiantTree Jan 31 '15 at 16:20
  • @GiantTree That's what first came to my mind as well, but I'd prefer not to root. – osvein Jan 31 '15 at 17:10
  • Then you are not able to install the updated TouchPal. Unless you find a way to install an application with an invalid certificate. – GiantTree Jan 31 '15 at 17:17
  • @GiantTree That's what I asked for here. – osvein Jan 31 '15 at 18:12
  • Well, it's not possible without rooting. That's your problem. – GiantTree Jan 31 '15 at 18:27

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.